#pragma once
#include <ctime>
#include <string>

namespace myapp::utils {

class datetime final
{
    explicit datetime(std::time_t) noexcept;
    std::time_t t_;

public:
    static datetime now() noexcept;

    std::string local_time() const;
    std::string universal_time() const;

    std::string long_time() const;
    std::string short_time() const;
};

} /* namespace myapp::utils */
